Bug 720447 - Review Request: python-unidecode - US-ASCII transliterations of Unicode text
Review Request: python-unidecode - US-ASCII transliterations of Unicode text
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2011-07-11 12:27 EDT by pjp
Modified: 2011-07-18 00:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 00:45:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
metherid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description pjp 2011-07-11 12:27:52 EDT
Spec URL: http://pjp.dgplug.org/tools/python-unidecode.spec
SRPM URL: http://pjp.dgplug.org/tools/python-unidecode-0.04.7-1.fc14.src.rpm

Description: <description here>
It often happens that you have non-Roman text data in Unicode, but you
can't display it -- usually because you're trying to show it to a user via
an application that doesn't support Unicode, or because the fonts you need
aren't accessible. You could represent the Unicode characters as "???????"
or " BA A0q0...", but that's nearly useless to the user who actually wants
to read what the text says.

What Unidecode provides is a function, 'unidecode(...)' that takes Unicode
data and tries to represent it in ASCII characters (i.e., the universally
displayable characters between 0x00 and 0x7F). The representation is almost
always an attempt at transliteration -- i.e., conveying, in Roman letters,
the pronunciation expressed by the text in some other writing system.

For example 'unidecode(u"u5317u4EB0")' returns 'Bei Jing'.

This is a Python port of Text::Unidecode Perl module by
Sean M. Burke.
Comment 1 Rahul Sundaram 2011-07-11 20:09:36 EDT
Run a mock build or koji scratch build.  In particular, you need

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Remove any commented out lines.   

Use name and version macro for Source0

Contact upstream and ask them to include a copy of the licenses.  Especially GPL requires this.  Include any licenses in %doc

Description can be shortened to:

This is a python port of Text::Unidecode Perl module.  It provides a function, 'unidecode(...)' that takes unicode data and tries to represent it in ASCII characters.  For example, 'unidecode(u"u5317u4EB0")' returns 'Bei Jing'.

%defattr(-,root,root,-) is redundant.  You don't need this anymore.  

Might consider moving %doc to be right after %files.
Comment 2 pjp 2011-07-12 13:32:42 EDT
I've made the changes. Please see the files below:

SPEC: http://pjp.dgplug.org/tools/python-unidecode.spec
SRPM: http://pjp.dgplug.org/tools/python-unidecode-0.04.7-2.fc14.src.rpm

Thank you.
Comment 3 Rahul Sundaram 2011-07-12 17:45:54 EDT
Use srcname and version macro in

Source0:	http://pypi.python.org/packages/source/U/Unidecode/Unidecode-0.04.7.tar.gz

Change URL to http://pypi.python.org/pypi/%{srcname}/

Redundant "is" in second statement in description. Drop that.  Upstream should include a copy of the license(s) and then I can approve this.
Comment 5 Rahul Sundaram 2011-07-15 10:55:45 EDT
Looks good.  Make sure you branch for EPEL 6

====   APPROVED ====
Comment 6 pjp 2011-07-15 14:28:30 EDT
New Package SCM Request
=======================
Package Name: unidecode
Short Description: Python module for US-ASCII transliterations of Unicode text.
Owners: pjp
Branches: f14 f15 fl6 epel-6
Comment 7 Jon Ciesla 2011-07-15 14:37:38 EDT
Is this to be python-unidecode or unidecode?  Also, remove fl6 and replace
epel-6 with EL-6.
Comment 8 Rahul Sundaram 2011-07-15 21:37:01 EDT
New Package SCM Request
=======================
Package Name: python-unidecode
Short Description: Python module for US-ASCII transliterations of Unicode text.
Owners: pjp sundaram
Branches: f15 el-6
Comment 9 Jon Ciesla 2011-07-15 22:15:58 EDT
Git done (by process-git-requests).
Comment 10 Ville Skyttä 2011-07-17 16:57:59 EDT
Is there a reason this package is not noarch?  It doesn't seem to contain anything arch specific.
Comment 11 Rahul Sundaram 2011-07-18 00:45:44 EDT
Fixed.  Credited in changelog

Note You need to log in before you can comment on or make changes to this bug.